Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add support for python 3.7 #324

Merged
merged 2 commits into from Jul 15, 2018
Merged

Add support for python 3.7 #324

merged 2 commits into from Jul 15, 2018

Conversation

@michael-k
Copy link
Contributor

michael-k commented Jul 12, 2018

No description provided.

.travis.yml Outdated
@@ -17,6 +17,8 @@ matrix:
env: TOXENV=py35-tests
- python: 3.6
env: TOXENV=py36-tests
- python: 3.7-dev

This comment has been minimized.

Copy link
@michael-k

This comment has been minimized.

Copy link
@sigmavirus24

sigmavirus24 Jul 12, 2018

Member

3.7-dev is ancient compared to 3.7. There are other ways to get the real python 3.7

This comment has been minimized.

Copy link
@michael-k

michael-k Jul 13, 2018

Author Contributor

Yes, it is, but I don't like the work arounds mentioned in the ticket. I hope that the travis-ci folks will fix this soon.

@michael-k michael-k force-pushed the michael-k:python3.7 branch from abf486d to 322c7dc Jul 12, 2018
@Nurdok

This comment has been minimized.

Copy link
Member

Nurdok commented Jul 15, 2018

This change looks fine except for the issue with Travis-CI. I rather wait for them to support the official 3.7 release instead of using the old development branch. So I'm not merging this for now, hopefully it will be resolved soon.

@Nurdok

This comment has been minimized.

Copy link
Member

Nurdok commented Jul 15, 2018

@michael-k thanks for taking the time to do this and sorry for the delay.

@sigmavirus24

This comment has been minimized.

Copy link
Member

sigmavirus24 commented Jul 15, 2018

If you use the xenial image you can get python3.7 for real

@michael-k michael-k force-pushed the michael-k:python3.7 branch 2 times, most recently from 3320fe4 to cfdbe61 Jul 15, 2018
michael-k added 2 commits Jul 12, 2018
Importing abstract base classes from collections is deprecated since
Python 3.7, see https://bugs.python.org/issue25988.
@michael-k michael-k force-pushed the michael-k:python3.7 branch from cfdbe61 to 5f216c2 Jul 15, 2018
@michael-k

This comment has been minimized.

Copy link
Contributor Author

michael-k commented Jul 15, 2018

I've added dist: xenial for the 3.7 test runs. But for it to work, I've also had to add sudo: required. See eg. travis-ci/travis-ci#9815 (comment) and the three comments before that one.

@Nurdok Nurdok merged commit 7f5303c into PyCQA:master Jul 15, 2018
2 checks passed
2 checks passed
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
@michael-k michael-k deleted the michael-k:python3.7 branch Jul 15, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.